Bug 37718 - redhat 7.1 lilo hangs at the L prompt after inital install when ide drive is set to cable select
redhat 7.1 lilo hangs at the L prompt after inital install when ide drive is ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: lilo (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-25 22:38 EDT by Mike Fox
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-25 22:38:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Fox 2001-04-25 22:38:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (Windows NT 5.0; U)


After loading 7.1 on a quantum fireball 30gb Ide drive(Jumper set to cable select) linux automatically assigns the drive as hdb not hda. Drive is 
pluged into the primary ide controller.  Lilo does not appear to want to boot to hdb. I got an error after installing before reboot ( Something like 
error on hdb not on the same drive) After changing the IDE Jumper from cable select to Master and changing all references in my lilo.conf file 
from hdb to hda. It appears to boot.  Seems like there is a problem with the ide cable select setting on the new version of linux.  I dont think 
this 
was a problem with rh7.0

Reproducible: Always
Steps to Reproduce:
1.Set Ide Drive to cable select / Plug drive on primary controller
2.Load Linux using the defaults will work / Note error before reboot.  I think it is when it runs lilo
3.Reboot and should lock up at the L prompt
	

Actual Results:  Lockup at L prompt

Expected Results:  All should be fine.

Intel 815 motherboard
quantum fireball IDE 30gb Drive set to cable select
I did a custom install.
Comment 1 Jeremy Katz 2002-06-04 02:24:57 EDT
We should handle this properly in newer releases, but also plugging the drive in
to be the master would be a valid workaround for the problem.

Note You need to log in before you can comment on or make changes to this bug.